package com.palmnest.application.dto.output.kafka;

import java.io.Serializable;
import java.util.Date;

/**
 * 同步到子系统的企业用户对象
 * @author wangxz
 *
 * 2018年12月18日
 */
public class KafkaOuterUser implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 7698351439385258925L;
	private Integer id;
	private String userName;
	private String nickName;
	private String userMobile;
	private String userType;
	private String userSex;
	private String userCardNo;
	private Date birthday;
	private String userPhotoUrl;
	private String password;
	private String status;
	private String suggestion;			//审核说明
	private String address;
	private String imageUrl01;
	private String imageUrl02;
	private String imageUrl03;
	private String creator;
	private Date createTime;
	private String modifier;
	private Date modifyTime;
	private String isEnabled;
	private Integer organizationId; 	//项目ID
	private Integer virtualArchId; 		//企业ID
	private String userNumber;			//员工编号
	private Date enteringTime;			//入司时间
	private String positionName;		//职位名称
	private Integer departmentId;		//部门ID
	private Integer facePlusUserId;		//face++唯一标识
	private String roleType;			//企业用户角色（1-管理员，2-普通用户）
	private String noticePower;			//接受审核通知（0-不接收用户申请通知，关，1-接收用户申请通知，开）

	private String organizationName;	//部门名称
	private String departmentName;		//部门名称
	private String virtualArchName;		//公司名称
	private Integer facePlusImageId;	//face++图片唯一标识
	private String imageId1;
	private String imageId2;
	private String imageId3;
	private String imageUrl1;
	private String imageUrl2;
	private String imageUrl3;
	
	private int isSyncNeigou; //是否同步内购网

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getUserMobile() {
		return userMobile;
	}

	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public String getUserSex() {
		return userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public String getUserCardNo() {
		return userCardNo;
	}

	public void setUserCardNo(String userCardNo) {
		this.userCardNo = userCardNo;
	}

	public Date getBirthday() {
		return birthday;
	}

	public void setBirthday(Date birthday) {
		this.birthday = birthday;
	}

	public String getUserPhotoUrl() {
		return userPhotoUrl;
	}

	public void setUserPhotoUrl(String userPhotoUrl) {
		this.userPhotoUrl = userPhotoUrl;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getSuggestion() {
		return suggestion;
	}

	public void setSuggestion(String suggestion) {
		this.suggestion = suggestion;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getImageUrl01() {
		return imageUrl01;
	}

	public void setImageUrl01(String imageUrl01) {
		this.imageUrl01 = imageUrl01;
	}

	public String getImageUrl02() {
		return imageUrl02;
	}

	public void setImageUrl02(String imageUrl02) {
		this.imageUrl02 = imageUrl02;
	}

	public String getImageUrl03() {
		return imageUrl03;
	}

	public void setImageUrl03(String imageUrl03) {
		this.imageUrl03 = imageUrl03;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getModifier() {
		return modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getIsEnabled() {
		return isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public Integer getOrganizationId() {
		return organizationId;
	}

	public void setOrganizationId(Integer organizationId) {
		this.organizationId = organizationId;
	}

	public Integer getVirtualArchId() {
		return virtualArchId;
	}

	public void setVirtualArchId(Integer virtualArchId) {
		this.virtualArchId = virtualArchId;
	}

	public String getUserNumber() {
		return userNumber;
	}

	public void setUserNumber(String userNumber) {
		this.userNumber = userNumber;
	}

	public Date getEnteringTime() {
		return enteringTime;
	}

	public void setEnteringTime(Date enteringTime) {
		this.enteringTime = enteringTime;
	}

	public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	public Integer getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(Integer departmentId) {
		this.departmentId = departmentId;
	}

	public Integer getFacePlusUserId() {
		return facePlusUserId;
	}

	public void setFacePlusUserId(Integer facePlusUserId) {
		this.facePlusUserId = facePlusUserId;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}

	public String getNoticePower() {
		return noticePower;
	}

	public void setNoticePower(String noticePower) {
		this.noticePower = noticePower;
	}

	public String getOrganizationName() {
		return organizationName;
	}

	public void setOrganizationName(String organizationName) {
		this.organizationName = organizationName;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getVirtualArchName() {
		return virtualArchName;
	}

	public void setVirtualArchName(String virtualArchName) {
		this.virtualArchName = virtualArchName;
	}

	public Integer getFacePlusImageId() {
		return facePlusImageId;
	}

	public void setFacePlusImageId(Integer facePlusImageId) {
		this.facePlusImageId = facePlusImageId;
	}

	public String getImageId1() {
		return imageId1;
	}

	public void setImageId1(String imageId1) {
		this.imageId1 = imageId1;
	}

	public String getImageId2() {
		return imageId2;
	}

	public void setImageId2(String imageId2) {
		this.imageId2 = imageId2;
	}

	public String getImageId3() {
		return imageId3;
	}

	public void setImageId3(String imageId3) {
		this.imageId3 = imageId3;
	}

	public String getImageUrl1() {
		return imageUrl1;
	}

	public void setImageUrl1(String imageUrl1) {
		this.imageUrl1 = imageUrl1;
	}

	public String getImageUrl2() {
		return imageUrl2;
	}

	public void setImageUrl2(String imageUrl2) {
		this.imageUrl2 = imageUrl2;
	}

	public String getImageUrl3() {
		return imageUrl3;
	}

	public void setImageUrl3(String imageUrl3) {
		this.imageUrl3 = imageUrl3;
	}

	public int getIsSyncNeigou() {
		return isSyncNeigou;
	}

	public void setIsSyncNeigou(int isSyncNeigou) {
		this.isSyncNeigou = isSyncNeigou;
	}
	
	
}
